# Uses of Class
org.springframework.web.util.pattern.PathPatternParser

Packages that use PathPatternParser
Package
Description
org.springframework.web.cors
Support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.cors.reactive
Reactive support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.util.pattern
Dedicated support for matching HTTP request paths.

## Uses of PathPatternParser in org.springframework.web.cors

Constructors in org.springframework.web.cors with parameters of type PathPatternParser
Modifier
Constructor
Description
``
`UrlBasedCorsConfigurationSource(PathPatternParser parser)`
Constructor with a `PathPatternParser` to parse patterns with.

## Uses of PathPatternParser in org.springframework.web.cors.reactive

Constructors in org.springframework.web.cors.reactive with parameters of type PathPatternParser
Modifier
Constructor
Description
``
`UrlBasedCorsConfigurationSource(PathPatternParser patternParser)`
Construct a new `UrlBasedCorsConfigurationSource` instance from the supplied `PathPatternParser`.

## Uses of PathPatternParser in org.springframework.web.util.pattern

Fields in org.springframework.web.util.pattern declared as PathPatternParser
Modifier and Type
Field
Description
`static final PathPatternParser`
PathPatternParser.`defaultInstance`
Shared, read-only instance of `PathPatternParser`.
Constructors in org.springframework.web.util.pattern with parameters of type PathPatternParser
Modifier
Constructor
Description
``
`PathPatternRouteMatcher(PathPatternParser parser)`
Constructor with given `PathPatternParser`.